<?php

/**
 * extends Oxid Order Controller
 * removes session variable when order page is rendered
 *
 * @author info@senbyte.com
 * @copyright 2017 senByte UG
 */

class Easycredit_Order extends Easycredit_Order_parent
{

    /**
     * @return string
     */
    public function render()
    {
        $templateFile = parent::render();
        $this->getSession()->deleteVar('ec_rv');
    
        return $templateFile;
    }
}
