<?php

/**
 * @author info@senbyte.com
 * @copyright 2017 senByte UG
 */

require_once __DIR__.'/../core/Easycredit.php';

class EasyCreditUpdate extends oxUBase
{

    /**
     * @return string
     */
    public function render()
    {
        parent::render();
        $this->getConfig()->setConfigParam( 'iDebug', 0 );
        
        $easycreditInstance = EasyCredit::getInstance();
        $process = $easycreditInstance->getProcess();

        $data = array(
            'installment' => OxidFacade::getRequestParameter('installment'),
            'consent' => OxidFacade::getRequestParameter('consent'),
        );

        $process->updateProcessData($data);
        
        header("Content-type: application/json");
        
        echo json_encode($data);        
        exit();
    }
}
