<?php

class easycredit_paymentgateway extends easycredit_paymentgateway_parent
{
    public function executePayment($dAmount, &$oOrder)
    {
        $blSuccess = parent::executePayment($dAmount, $oOrder);
    
        if ($blSuccess && $this->_oPaymentInfo->oxuserpayments__oxpaymentsid->value == 'easycredit') {
            $ec = EasyCredit::getInstance();
            $ecProcess = $ec->getProcess();
    
            if (!$ecProcess->checkBasketContent($this->getSession()->getUser(), $this->getSession()->getBasket())) {
                $ecProcess->getProcessData()->initEmpty();
                $ecProcess->getProcessData()->save();
                $this->_iLastErrorNo = -334;
                $this->_sLastError = 'Warenkorb hat sich geändert';
    
                return false;
            }
    
            $blSuccess = $ecProcess->agree();
            if ($blSuccess) {
                $this->getSession()->deleteVar('ec_rv');
            }
        }
    
        return $blSuccess;
    }
}
